> ## Documentation Index
> Fetch the complete documentation index at: https://docs.16tms.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get My Tournaments

> Fetch a list of tournaments that the user has joined.



## OpenAPI

````yaml /api-reference/assigned-data/openapi.json get /tournaments/my-tournaments
openapi: 3.0.0
info:
  title: Assigned Rounds
  version: 1.0.0
  description: API endpoints for accessing assigned rounds
servers:
  - url: https://api.16tms.com/api/v1
    description: Production server
security:
  - ApiKeyAuth: []
paths:
  /tournaments/my-tournaments:
    get:
      summary: Get My Tournaments
      description: Fetch a list of tournaments that the user has joined.
      operationId: getMyTournaments
      parameters:
        - name: externalId
          in: query
          required: true
          schema:
            type: string
          description: External ID of the user.
      responses:
        '200':
          description: User participated tournaments fetched successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetMyTournamentsResponse'
              example:
                success: true
                message: User participated tournaments fetched successfully
                data:
                  - tournamentId: d39102c1-a8af-4ecb-9f99-8b0fe8fe993b
                    tournamentName: Call of Duty Mobile tournament
                    gameId: bbbcaf40-b0f0-4da6-a934-15575e2e51ea
                    gameName: Call of Duty
                    description: cod tournament
                    enrollmentLimit: 64
                    maxTeamMembers: 4
                    minTeamMembers: 4
                    startTime: '2026-02-18T08:37:00Z'
                    endTime: '2026-02-19T08:37:00Z'
                    registrationDeadline: '2026-02-17T07:37:00Z'
                    registrationOpen: true
                    isOnline: true
                    status: 3
                    matchType: 1
                    teamType: squad
                    color: '#6b7280'
                    prizePool: 0
                    entryFee: 0
                    image: >-
                      https://metaninzamedia.blob.core.windows.net/media/tournaments/20260210073717_images
                      %2816%29.webp
                    coverImage: >-
                      https://metaninzamedia.blob.core.windows.net/media/tournaments/20260210073722_images
                      %2817%29.webp
                    isTrending: false
                    isFeatured: false
                    isPasswordProtected: false
                    instantRegistrations: true
                    entryFeeCurrencyId: f64a0486-f7cd-48d8-b449-25dc6cc02065
                    entryFeeCurrencyName: Ninza Coins
                    entryFeeCurrencySymbol: '%'
                    prizePoolCurrencyId: f64a0486-f7cd-48d8-b449-25dc6cc02065
                    prizePoolCurrencyName: Ninza Coins
                    prizePoolCurrencySymbol: '%'
                    hasJoined: true
                    canJoin: false
                    cannotJoinReason: Team already joined
                    teamsJoinedCount: 12
                meta:
                  traceId: 00-e0cb1029b70258b31400d19a862f3e7e-ac616f4c8b144ec1-00
                  elapsedMs: 10.06
                  serverTimestamp: '2026-02-16T12:24:23.5376826Z'
components:
  schemas:
    GetMyTournamentsResponse:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
        data:
          type: array
          items:
            $ref: '#/components/schemas/TournamentItem'
        meta:
          $ref: '#/components/schemas/Meta'
    TournamentItem:
      type: object
      properties:
        tournamentId:
          type: string
          example: 91598fb6-12f0-4fe1-aaec-6b408ab92565
        tournamentName:
          type: string
          example: Auto Test Tournament
        gameId:
          type: string
          example: 03401d21-5109-4991-a39c-551a05bfa176
        gameName:
          type: string
          example: BGMI
        description:
          type: string
          example: This is an auto-filled tournament used for rapid testing scenarios.
        enrollmentLimit:
          type: integer
          example: 32
        maxTeamMembers:
          type: integer
          example: 4
        minTeamMembers:
          type: integer
          example: 2
        startTime:
          type: string
          format: date-time
          example: '2026-02-13T12:10:00Z'
        endTime:
          type: string
          format: date-time
          example: '2026-02-15T12:10:00Z'
        registrationDeadline:
          type: string
          format: date-time
          example: '2026-02-13T11:10:00Z'
        registrationOpen:
          type: boolean
          example: true
        isOnline:
          type: boolean
          example: true
        status:
          type: integer
          example: 1
        matchType:
          type: integer
          example: 2
        teamType:
          type: string
          example: squad
        color:
          type: string
          example: '#2563eb'
        prizePool:
          type: number
          example: 5000
        entryFee:
          type: number
          example: 50
        image:
          type: string
          nullable: true
          example: null
        coverImage:
          type: string
          nullable: true
          example: null
        isTrending:
          type: boolean
          example: false
        isFeatured:
          type: boolean
          example: true
        isPasswordProtected:
          type: boolean
          example: false
        instantRegistrations:
          type: boolean
          example: false
        entryFeeCurrencyId:
          type: string
          example: 10282b10-2b44-4bbb-9c1d-155e0bb46e79
        entryFeeCurrencyName:
          type: string
          example: d
        entryFeeCurrencySymbol:
          type: string
          example: $
        prizePoolCurrencyId:
          type: string
          example: 10282b10-2b44-4bbb-9c1d-155e0bb46e79
        prizePoolCurrencyName:
          type: string
          example: d
        prizePoolCurrencySymbol:
          type: string
          example: $
        hasJoined:
          type: boolean
          nullable: true
          example: null
        canJoin:
          type: boolean
          nullable: true
          example: null
        cannotJoinReason:
          type: string
          nullable: true
          example: null
        teamsJoinedCount:
          type: integer
          example: 0
    Meta:
      type: object
      properties:
        traceId:
          type: string
          example: 00-eafdb3435de2eb96fa8f21b4426e6706-320a36e766afe193-00
        elapsedMs:
          type: number
          example: 46.56
        serverTimestamp:
          type: string
          format: date-time
          example: '2026-02-17T11:15:10.8986462Z'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: API key for authentication.

````